> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saintamountclass

> This SoList provider generates the amount class list for the Saint criteria. This list is an extension of the basic AmountClass MDO list, with the addition of an ALL choice with ID 0.

## "saintamountclass" MDO List

This SoList provider generates the amount class list for the Saint criteria. This list is an extension of the basic
AmountClass MDO list, with the addition of an ALL choice with ID 0.

Implemented by the <see cref="T:SuperOffice.CRM.ArchiveLists.SaintAmountClassProvider">SaintAmountClassProvider</see> class.
The name of the MDO list is 'saintamountclass'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saintamountclass
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saintamountclass", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| -1 | All         |           |           |
| 4  | Extra large |           |           |
| 3  | Large       |           |           |
| 2  | Medium      |           |           |
| 1  | Small       |           |           |

## Related MDO Lists

* "saintamountclassheadings"
* "saintamountclassheadingswithallitem"
* "saintamountclassheadingswithallitemwithnoselection"
* "saintamountclassheadingswithnoselection"
* "saintamountclasswithallitem"
* "saintamountclasswithallitemwithnoselection"
* "saintamountclasswithnoselection"


## Related topics

- [ProjectMember](/en/api/archive-providers/reference/projectmember.md)
- [LinksProject](/en/api/archive-providers/reference/linksproject.md)
- [Contact](/en/api/archive-providers/reference/contact.md)
- [SimpleContact](/en/api/archive-providers/reference/simplecontact.md)
- [FreetextContact](/en/api/archive-providers/reference/freetextcontact.md)
- [OwnerContacts](/en/api/archive-providers/reference/ownercontacts.md)
